package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.AimPlacePosition;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.AimPlacePositionMapper")
public interface AimPlacePositionMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(AimPlacePosition record);

    AimPlacePosition selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(AimPlacePosition record);

    List<AimPlacePosition> queryAllAimPlacePosition(AimPlacePosition record);

    List<AimPlacePosition> queryAimPlacePositionByPage(Map<String, Object> parameter);

    int delete(AimPlacePosition record);

    AimPlacePosition queryAimPlacePosition(AimPlacePosition record);

    List<AimPlacePosition> query(AimPlacePosition record);

    List<AimPlacePosition> queryAllAimPlacePositionChild(AimPlacePosition record);
}

